Description:

Makes a surface blend between two surface edges.

Syntax:
public static Brep[] CreateBlendSurface(
BrepFace face0,
BrepEdge edge0,
Interval domain0,
bool rev0,
BlendContinuity continuity0,
BrepFace face1,
BrepEdge edge1,
Interval domain1,
bool rev1,
BlendContinuity continuity1
)
Parameters:
  • face0
  • Type: BrepFace
  • First face to blend from.
  • edge0
  • Type: BrepEdge
  • First edge to blend from.
  • domain0
  • Type: Interval
  • The domain of edge0 to use.
  • rev0
  • Type: bool
  • If false, edge0 will be used in its natural direction. If true, edge0 will be used in the reversed direction.
  • face1
  • Type: BrepFace
  • Second face to blend from.
  • edge1
  • Type: BrepEdge
  • Second edge to blend from.
  • domain1
  • Type: Interval
  • The domain of edge1 to use.
  • rev1
  • Type: bool
  • If false, edge1 will be used in its natural direction. If true, edge1 will be used in the reversed direction.
Returns:
Type: Brep[]
Array of Breps if successful.
Available since:
6.0

/
/
/
CreateBlendSurface

CreateBlendSurface method

Class:  Rhino.Geometry.Brep

Nothing found